# $Revision: 1.22 $, $Date: 2008-01-03 12:46:30 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Text
%define		pnam	Glob
Summary:	Text::Glob perl module - match globbing patterns against text
Summary(pl.UTF-8):	Moduł perla Text::Glob - dopasowywanie tekstu do wzorców
Name:		perl-Text-Glob
Version:	0.08
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Text/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	39a1a3e890cd5d3f51a707579098bc1c
URL:		http://search.cpan.org/dist/Text-Glob/
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-Test-Simple
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text::Glob implements glob(3) style matching that can be used to match
against text, rather than fetching names from a filesystem. If you
want to do full file globbing use the File::Glob module instead.

%description -l pl.UTF-8
Text::Glob jest implementacją dopasowywania w stylu glob(3), które
może być używane do dopasowywania tekstu, a nie nazw plików. Jeśli
potrzeba pełnej implementacji glob dla plików, należy użyć modułu
File::Glob zamiast tego.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Text/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Text-Glob.spec,v $
Revision 1.22  2008-01-03 12:46:30  qboosh
- generic URL

Revision 1.21  2007-12-31 00:05:11  zbyniu
- up to 0.08

Revision 1.20  2007-02-13 07:47:15  glen
- tabs in preamble

Revision 1.19  2007/02/12 01:06:22  baggins
- converted to UTF-8

Revision 1.18  2006/10/21 17:52:30  ankry
- ver. 0.07

Revision 1.17  2004/11/03 22:30:50  paladine
- formatting

Revision 1.16  2004/06/05 18:10:48  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.15  2004/05/07 00:32:05  ankry
- rel. 2

Revision 1.14  2004/05/06 18:21:17  ankry
- fixed perl-devel BR

Revision 1.13  2004/05/03 00:55:43  ankry
- license fixes, cosmetics

Revision 1.12  2004/04/27 15:26:27  ankry
- new bconds

Revision 1.11  2003/09/18 13:21:55  adamg
- updated to 0.06

Revision 1.10  2003/09/09 10:24:51  ankry
- spaces -> tab

Revision 1.9  2003/08/18 08:09:20  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/05/28 13:01:05  malekith
- massive attack: source-md5

Revision 1.7  2003/05/25 06:25:03  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.6  2003/04/11 18:59:27  radek
- BR: perl-devel; do not BR: perl

Revision 1.5  2003/03/01 21:34:59  radek
- should be ready for perl-5.8.0; release++

Revision 1.4  2003/02/25 00:42:34  radek
- use the __perl macro

Revision 1.3  2003/02/18 15:38:48  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/10/09 13:41:33  qboosh
- pl description, release 2

Revision 1.1  2002/10/06 00:41:59  ankry
- new, STBR
